red team
Get red team release evidence
Requires scopes: red_team:read
GET
/
api
/
red-team
/
runs
/
{id}
/
release-evidence
Get red team release evidence
curl --request GET \
--url https://evalgate.com/api/red-team/runs/{id}/release-evidence \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/red-team/runs/{id}/release-evidence"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/red-team/runs/{id}/release-evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"target": {
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>"
},
"campaign": {
"campaignId": "<string>",
"campaignVersionId": "<string>",
"snapshotHash": "<string>",
"runId": "<string>",
"completedAt": "<string>"
},
"evidenceIdentity": {
"evidenceHash": "<string>",
"policyVersion": "<string>",
"generatedAt": "<string>"
},
"execution": {
"status": "failed",
"totalCases": 123,
"attemptedCases": 123,
"completedCases": 123,
"adversarialCases": 123,
"benignUtilityCases": 123,
"providerState": "unknown",
"costAttributed": false
},
"findings": {
"criticalOpen": 123,
"highOpen": 123,
"mediumOpen": 123,
"lowOpen": 123,
"acceptedRiskCritical": 123,
"acceptedRiskHigh": 123,
"unresolvedFingerprints": [
"<string>"
],
"acceptedRiskGoverned": false
},
"attackResistance": {
"evaluated": true,
"successfulAttacks": 123,
"attackSuccessRate": 123
},
"benignUtility": {
"evaluated": true,
"passed": 123,
"failed": 123,
"passRate": 123
},
"completeness": {
"complete": true,
"missingEvidence": [
"<string>"
]
},
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remediation": {
"baselineRunId": "<string>",
"candidateRunId": "<string>",
"comparisonId": "<string>",
"resolvedFingerprints": [
"<string>"
],
"introducedFingerprints": [
"<string>"
],
"persistingFingerprints": [
"<string>"
],
"regressionState": "inconclusive"
},
"coverage": {
"activeGoldenCaseIds": [
"<string>"
],
"promotedFindingIds": [
"<string>"
]
},
"signedReport": {
"reportId": "<string>",
"evidenceHash": "<string>",
"signedAt": "<string>",
"sourceReportHash": "<string>",
"keyVersion": "<string>",
"targetContentHash": "<string>"
},
"attestation": {
"algorithm": "Ed25519",
"keyId": "<string>",
"publicKey": "<string>",
"publicKeySha256": "<string>",
"signature": "<string>"
},
"frameworkReferences": [
{
"framework": "<string>",
"controlId": "<string>",
"status": "not_applicable",
"referenceHash": "<string>"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Response
Successful response
Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get red team release evidence
